/*
 * Licensed to the Hipparchus project under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The Hipparchus project licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hipparchus.filtering.kalman;

import org.hipparchus.linear.RealMatrix;
import org.hipparchus.linear.RealVector;

public class SimpleMeasurement implements Measurement {
    private final double time;
    private final RealVector value;
    private final RealMatrix covariance;

    public SimpleMeasurement(final double time, final RealVector value, final RealMatrix covariance) {
        this.time       = time;
        this.value      = value;
        this.covariance = covariance;
    }

    public double getTime() {
        return time;
    }

    public RealVector getValue() {
        return value;
    }

    public RealMatrix getCovariance() {
        return covariance;
    }

}
